Conversations API
Resolve a conversation
Marks a conversation as resolved
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
toggle_status
Resolve a conversation
curl --request POST \
--url https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_statusimport requests
url = "https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"uuid": "<string>",
"inbox_id": 123,
"contact_last_seen_at": 123,
"agent_last_seen_at": 123,
"messages": [
{
"id": 123,
"content": "<string>",
"message_type": 123,
"content_type": "<string>",
"content_attributes": {},
"created_at": 123,
"conversation_id": 123,
"attachments": [
{
"id": 123,
"message_id": 123,
"account_id": 123,
"extension": "<string>",
"data_url": "<string>",
"thumb_url": "<string>",
"file_size": 123,
"width": 123,
"height": 123,
"coordinates_lat": 123,
"coordinates_long": 123,
"fallback_title": "<string>",
"meta": {},
"transcribed_text": "<string>"
}
],
"sender": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>",
"thumbnail": "<string>",
"available_name": "<string>",
"availability_status": "<string>",
"email": "<string>",
"phone_number": "<string>",
"identifier": "<string>",
"blocked": true,
"additional_attributes": {},
"custom_attributes": {},
"description": "<string>",
"created_at": "<string>"
}
}
],
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"identifier": "<string>",
"blocked": true,
"additional_attributes": {},
"custom_attributes": {},
"contact_type": "<string>",
"country_code": "<string>",
"last_activity_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"location": "<string>",
"account_id": 123,
"company_id": 123,
"label_list": [
"<string>"
]
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
Response
Conversation resolved successfully
Id of the conversation
UUID of the conversation
The inbox id of the conversation
Timestamp of when the contact last seen the conversation (Unix timestamp)
The status of the conversation
Available options:
open, resolved, pending, snoozed Timestamp of when the agent last seen the conversation (Unix timestamp)
Messages in the conversation
Show child attributes
Show child attributes
Full serialized contact record returned when the public API renders a Contact model directly.
Show child attributes
Show child attributes
⌘I
Resolve a conversation
